This URL retrieves the top unblocked malware downloads.
Resource URL
GET /alerts/TopN/unblocked_malware_downloads
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:
| String | No |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of top unblocked malware downloads | Array |
Details of fields in TopUnblockedMalwareDownloadsList:
Field Name | Description | Data Type |
|---|---|---|
fileHash | The malware file hash | String |
attackCount | Count of the attack | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/alerts/TopN/unblocked_malware_downloads?duration=LAST_14_DAYS
Payload
None
Response
{
"TopUnblockedMalwareDownloadsList":[]
}Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |
2 | 400 | 3601 | Invalid duration |